condor_update_machine_ad(1)

Name

condor_update_machine_adupdate a machine ClassAd

Synopsis
condor_update_machine_ad[-help | -version]

condor_update_machine_ad[-pool centralmanagerhostname[:portnumber]] [-name startdname] path/to/update-ad

Description
condor_update_machine_admodifies the specified condor_startddaemon's machine ClassAd. The ClassAd in the file given by path/to/update-adrepresents the changed attributes. The changes persists until the condor_startdrestarts. If no file is specified on the command line, condor_update_machine_adreads the update ClassAd from stdin.

Contents of the file or stdinmust contain a complete ClassAd. Each line mustbe terminated by a newline character, including the last line of the file. Lines are of the form

<attribute> = <value>

Changes to certain ClassAd attributes will cause the condor_startdto regenerate values for other ClassAd attributes. An example of this is setting HasVM. This will cause OfflineUniverses, VMOfflineTime, and VMOfflineReasonto change.

Options

-help

    Display usage information and exit

-version

    Display the HTCondor version and exit

-pool centralmanagerhostname[:portnumber]

    Specify a pool by giving the central manager's host name and an optional port number

-name startdname

    Send the command to a machine identified by startdname

General Remarks

This tool is intended for the use of system administrators when dealing with offline universes.

Examples

To re-enable matching with the VM universe jobs, place on stdina complete ClassAd (including the ending newline character) to change the value of ClassAd attribute HasVM:

echo "HasVM = True
" | condor_update_machine_ad

To prevent vm universe jobs from matching with the machine:

echo "HasVM = False
" | condor_update_machine_ad

To prevent vm universe jobs from matching with the machine and specify a reason:

echo "HasVM = False
VMOfflineReason = \"Cosmic rays.\"
" | condor_update_machine_ad

Note that the quotes around the reason are required by ClassAds, and they must be escaped because of the shell. Using a file instead of stdinmay be preferable in these situations, because neither quoting nor escape characters are needed.

Exit Status

condor_update_machine_adwill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.